Include the keystone.py file for integration with Apache+mod_wsgi

Bug #1426462 reported by Martin Gerhard Loschwitz on 2015-02-27
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
keystone (Ubuntu)
High
Unassigned

Bug Description

Upstream provides a Python file for integration with Apache+mod_wsgi. According to Morgan Fainberg, this will be the recommended default deployment scenarion for Kilo.

The file is available from

https://github.com/openstack/keystone/blob/master/httpd/keystone.py

but the Ubuntu Keystone package currently does not ship it. Please include it in the "keystone" package so people can leverage its functionality properly. The Debian packages of Keystone already ship it as

/usr/share/keystone/wsgi.py

as can be seen on

https://packages.debian.org/sid/all/python-keystone/filelist

Thanks!

affects: keystone → keystone (Ubuntu)
James Page (james-page) on 2015-03-26
Changed in keystone (Ubuntu):
importance: Undecided → High
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 1:2015.1~b3-0ubuntu1

---------------
keystone (1:2015.1~b3-0ubuntu1) vivid; urgency=medium

  * d/pydist-overrides: Add overrides for oslo packages.
  * New upstream milestone:
    - d/p/*: Refreshed.
    - d/control: Align with upstream version requirements.
    - d/control: Add new dependencies on oslo-log, oslo-policy, cryptography
      and msgpack.
  * Enable federation support as now part of core pipeline:
    - d/control: Add BD on pysaml2.
    - d/p/skip-pysaml2.patch: Dropped, no longer required.
  * d/keystone.logrotate: Wildcard log file matching to ensure any keystone
    log files are rotated, irrespective of naming (LP: #1426530).
  * d/python-keystone.install: Install wsgi wrapper as this is now the
    recommended deployment option from upstream (LP: #1426462).
 -- James Page <email address hidden> Mon, 30 Mar 2015 11:15:48 +0100

Changed in keystone (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers